/***************************************************************************

   Copyright (C) 2005-2007 by Christian Weilbach <christian_weilbach@web.de>
   Copyright (C) 2007-2008 Antonio Aloisio <gnuton@gnuton.org>

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the
   Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
   Boston, MA 02110-1301, USA.
 ***************************************************************************/

#ifndef LINK_DIALOG_H
#define LINK_DIALOG_H

#include <QWidget>
#include <klineedit.h>

#include <kdialog.h>

#include "ui_linkdialogbase.h"

namespace KBlogger
{
class LinkWidget;

/** Class LinkDialog **/
class LinkDialog: public KDialog
{
    Q_OBJECT
public:
    LinkDialog( QWidget *parent = 0 );
    virtual ~LinkDialog();
    void setLinkName(const QString &linkName);

Q_SIGNALS:
    void addLink( const QString&, const QString& );

public Q_SLOTS:
//     void slotEnableButtonOk(bool state);
//     void slotTargetFilled(QString target);
//     void slotNameFilled(QString name);
    void slotAccept(); // OK Button
private:
    LinkWidget *mLinkWidget;
};

/** Class LinkWidget **/
class LinkWidget : public QWidget, public Ui::LinkWidgetBase
{
    Q_OBJECT

public:
    LinkWidget(QWidget *parent = 0);
    virtual ~LinkWidget();
};

} //namespace

#endif
